com.genesyslab.wfm8.API.service.config800

## Class CfgContractAvailability

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config800.CfgContractAvailability

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgContractAvailability
      extends java.lang.Object
      implements java.io.Serializable

  Contract Availability
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected java.util.List<CfgContractWeekHours>` | `wmAvailabilities`
    `protected int` | `wmContractId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgContractAvailability()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<CfgContractWeekHours>` | `getWmAvailabilities()` Gets the value of the wmAvailabilities property.
    `int` | `getWmContractId()` Gets the value of the wmContractId property.
    `int` | `hashCode()`
    `void` | `setWmAvailabilities(java.util.List<CfgContractWeekHours> wmAvailabilities)` Sets the value of the wmAvailabilities property.
    `void` | `setWmContractId(int value)` Sets the value of the wmContractId property.
    `java.lang.String` | `toString()`
    `CfgContractAvailability` | `withWmAvailabilities(CfgContractWeekHours... values)`
    `CfgContractAvailability` | `withWmAvailabilities(java.util.Collection<CfgContractWeekHours> values)`
    `CfgContractAvailability` | `withWmContractId(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmContractId

          protected int wmContractId

    - #### wmAvailabilities

          protected java.util.List<CfgContractWeekHours> wmAvailabilities

  - ### Constructor Detail

    - #### CfgContractAvailability

          public CfgContractAvailability()

  - ### Method Detail

    - #### getWmContractId

          public int getWmContractId()

      Gets the value of the wmContractId property.

    - #### setWmContractId

          public void setWmContractId(int value)

      Sets the value of the wmContractId property.

    - #### getWmAvailabilities

          public java.util.List<CfgContractWeekHours> getWmAvailabilities()

      Gets the value of the wmAvailabilities property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmAvailabilities property.

      For example, to add a new item, do as follows:

              getWmAvailabilities().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgContractWeekHours`

    - #### withWmContractId

          public CfgContractAvailability withWmContractId(int value)

    - #### withWmAvailabilities

          public CfgContractAvailability withWmAvailabilities(CfgContractWeekHours... values)

    - #### withWmAvailabilities

          public CfgContractAvailability withWmAvailabilities(java.util.Collection<CfgContractWeekHours> values)

    - #### setWmAvailabilities

          public void setWmAvailabilities(java.util.List<CfgContractWeekHours> wmAvailabilities)

      Sets the value of the wmAvailabilities property.
      Parameters:
        `wmAvailabilities` - allowed object is `CfgContractWeekHours`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.